> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.getunleash.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getunleash.io/_mcp/server.

# Get a list of all applications for a project.

GET https://app.unleash-instance.example.com/api/admin/projects/{projectId}/applications

This endpoint returns an list of all the applications for a project.

Reference: https://docs.getunleash.io/api/get-project-applications

## Authentication

- `Authorization` header (required) — API key needed to access this API
- `Authorization` header (bearer token, required) — API key needed to access this API, in Bearer token format

## Request

### Path parameters

- `projectId` (string, required)

### Query parameters

- `query` (string, optional) — The search query for the application name, sdk, environment
- `offset` (string, optional) — The number of applications to skip when returning a page. By default it is set to 0.
- `limit` (string, optional) — The number of applications to return in a page. By default it is set to 50.
- `sortBy` (string, optional) — The field to sort the results by. By default it is set to "appName".
- `sortOrder` (string, optional) — The sort order for the sortBy. By default it is det to "asc".

## Response

### 200

projectApplicationsSchema

- `total` (integer, required) — The total number of project applications.
- `applications` (list of object, required) — All applications defined for a specific project.
  - `name` (string, required) — Name of the application that is using the SDK. This is the same as the appName in the SDK configuration.
  - `environments` (list of string, required) — The environments that the application is using. This is the same as the environment in the SDK configuration.
  - `instances` (list of string, required) — The instances of the application that are using the SDK.
  - `sdks` (list of object, required) — The SDKs that the application is using.
    - `name` (string, required) — Name of the SDK package that the application is using.
    - `versions` (list of string, required) — The versions of the SDK that the application is using.

## Examples

**Response**

```json
{
  "total": 50,
  "applications": [
    {
      "name": "string",
      "environments": [
        "development",
        "production"
      ],
      "instances": [
        "prod-b4ca",
        "prod-ac8a"
      ],
      "sdks": [
        {
          "name": "unleash-client-node",
          "versions": [
            "4.1.1"
          ]
        }
      ]
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://app.unleash-instance.example.com/api/admin/projects/projectId/applications"

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://app.unleash-instance.example.com/api/admin/projects/projectId/applications';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://app.unleash-instance.example.com/api/admin/projects/projectId/applications"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.unleash-instance.example.com/api/admin/projects/projectId/applications")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://app.unleash-instance.example.com/api/admin/projects/projectId/applications")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://app.unleash-instance.example.com/api/admin/projects/projectId/applications', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://app.unleash-instance.example.com/api/admin/projects/projectId/applications");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/projects/projectId/applications")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```